Bug 1472613 - openjfx-debuginfo-8.0.152-12.b04 is missing sources
Summary: openjfx-debuginfo-8.0.152-12.b04 is missing sources
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openjfx
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonny Heggheim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: DebugInfo
TreeView+ depends on / blocked
 
Reported: 2017-07-19 06:20 UTC by Ville Skyttä
Modified: 2018-11-30 23:48 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 23:48:07 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2017-07-19 06:20:13 UTC
openjfx-debuginfo-8.0.152-12.b04 is missing sources. The build log doesn't contain native compiler command lines so more work is needed to find out why, but I suspect the native bits are not being built properly with $RPM_OPT_FLAGS which has not only debuginfo, but security implications as well.

This should not have passed the review in bug 1438673. It says:

> [x]: Useful -debuginfo package or justification otherwise.

But the debuginfo is not useful because it lacks sources, and there's no justification otherwise anywhere I can see.

rpmlint also noted the error in the review, but it went in unfixed:

> openjfx-debuginfo.x86_64: E: debuginfo-without-sources

Comment 1 Jonny Heggheim 2017-07-19 07:06:12 UTC
I began patching the build file, but there ended up with too many changes. I will ask if there are developers who can help me with this issue.

Comment 2 Ville Skyttä 2017-07-19 08:34:01 UTC
As the first step, I suggest making the build more verbose, i.e. native compiler command lines visible in the build output, so that examining becomes easier. (Ask upstream to add a build option to do this if one is not available yet.)

Comment 3 Jonny Heggheim 2017-07-19 09:36:02 UTC
I have sent a mail to the mailing list: http://mail.openjdk.java.net/pipermail/openjfx-dev/2017-July/020657.html

The gradle build allows --info and --debug flags, I will check if the gcc/g++ commands if printed with these flags.

Comment 4 Jonny Heggheim 2017-07-19 09:48:26 UTC
The --info flag was enough, here is one of the invocation of the compile command: 

Starting process 'command 'gcc''. Working directory: /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager Command: gcc -DJAVAARCH="amd64" -I/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-7.b12.fc26.x86_64/include -I/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-7.b12.fc26.x86_64/include/linux -c -fPIC -I/home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/src/main/native/library/common -o /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/LinuxPlatform.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/src/main/native/library/common/LinuxPlatform.cpp


And here is a linking command:
Starting process 'command 'g++''. Working directory: /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager Command: g++ /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/Messages.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/PlatformString.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/Platform.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/JavaVirtualMachine.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/main.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/JavaUserPreferences.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/Package.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/Exports.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/GenericPlatform.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/Macros.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/IniFile.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/PlatformThread.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/Java.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/WindowsPlatform.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/FilePath.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/PosixPlatform.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/LinuxPlatform.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/Lock.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/PropertyFile.obj /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/native/linuxlauncher/obj/Helpers.obj -o /home/jonny/fedora-scm/openjfx/rt-8u152-b04/modules/fxpackager/build/classes/main/com/oracle/tools/packager/linux/libpackager.so -ldl -lpthread -shared

Comment 5 Jan Kurik 2017-08-15 08:10:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 6 Nicolas De Amicis 2018-11-26 09:24:11 UTC
Does this bug still appear in Fedora 29 and/or rawhide?

Comment 7 Ben Cotton 2018-11-27 13:29:14 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2018-11-30 23:48:07 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.